Atmosphère 0.8.8 released, now compatible with firmware 8.0.0

Discussion in 'GBAtemp & Scene News' started by RattletraPM, Apr 20, 2019.


    19,363

    144
    Front-page
    [​IMG]

    We've seen it time and time again: an OFW update drops by, CFW gets broken, the devs start working and everything gets fixed eventually. However, looks like this time it's sooner rather than later for the Switch scene, as Atmosphère 0.8.8 has just been released thanks to the efforts of @SciresM and his team!

    The key feature this time around is, of course, firmware 8.0.0 support, which was released by Nintendo earlier this month. While it's still recommended for patched units to avoid updating, as the new OFW fully fixed the vulnerabilities used by the upcoming dejà vu exploit chain, unpatched units can now install it and enjoy CFW safely. Some bugfixes are also included, as well as custom exception handlers for Stratosphère modules.

    One last important detail to keep in mind is that fusee-primary was updated with this version: you'll need to update it in case you're using it, otherwise Atmosphère may not boot properly.

    As usual, you can find the full changelog below:
    UPDATE: A hotfix was released for people having issues with the CFW.


    :arrow: Source
    :arrow: GBAtemp thread
     
    Discussion (144 replies)
  1. Idontknowwhattoputhere

    Idontknowwhattoputhere Gone forever

    Member
    3
    Jan 19, 2019
    United Kingdom
    1.0 draws closer
    Also first
     
    XenoDanny, Kubez and jupitteer like this.
  2. huma_dawii

    huma_dawii GBAtemp Psycho!

    Member
    10
    Apr 3, 2014
    United States
    Planet Earth
    Yes!!! I can't wait for SDFiles to follow!
     
    bomigoton likes this.
  3. Senooy

    Senooy Newbie

    Newcomer
    1
    Apr 10, 2019
    France
    Finally :p1ng:
     
  4. Godofcheese

    Godofcheese GBAtemp Regular

    Member
    5
    Dec 31, 2016
    Sweden
    Shivering Isles
    Patched Units?
    Did I miss something, can you have CFW on a patched one, or is it just a warning for people that have one to stay away from 8.0.0 because it patches all the "bugs" completely?
     
    codezer0 and micky johnston like this.
  5. JokerD

    JokerD Member

    Newcomer
    1
    Feb 3, 2016
    Can we use AutoRCM?
     
  6. RattletraPM
    OP

    RattletraPM GBATemp's official 蒸気イーブイ

    pip Reporter
    13
    Jan 18, 2017
    Italy
    Shinjuku Station
    It's a warning. Dejà vu hasn't been released yet, but it's confirmed to be completely patched on 8.0.0 and if you miss out on that one, you may wait a long time before you'll be able to hack your Switch.
    Due to this, @SciresM himself has told people to avoid updating on patched units, while unpatched ones are safe.

    Sources
     
  7. masagrator

    masagrator File digger

    Member
    5
    Oct 14, 2018
    Poland
    It's a warning. Not all the bugs, but the most promising ones.
     
  8. Godofcheese

    Godofcheese GBAtemp Regular

    Member
    5
    Dec 31, 2016
    Sweden
    Shivering Isles
    Right Right, thanks for the clarification :)
    I got a bit confused there for a second.

    Thankfully, I don't have a patched unit myself, but I can't wait for them to find a way to bring CFW to those units.
     
    RattletraPM likes this.
  9. SexiestManAlive

    SexiestManAlive GBAtemp Expert

    Member
    4
    Apr 18, 2016
    United States
    Finally, you know what to do team X, hope that atmosphere adds emunand soon so i dont gotta use sx no more, literally the only thing stopping me
     
  10. Zumoly

    Zumoly GBATemp Analyst

    Member
    7
    Apr 27, 2018
    Mali
    Yorosso
    So was I right? Did the sept folder become eight?
     
  11. Cubuss

    Cubuss GBAtemp Fan

    Member
    8
    Aug 4, 2017
    Netherlands
    High Quality Shitposter
    SXOS 3.0 INCOMING IN 3.....2......
     
    paperycandy likes this.
  12. RattletraPM
    OP

    RattletraPM GBATemp's official 蒸気イーブイ

    pip Reporter
    13
    Jan 18, 2017
    Italy
    Shinjuku Station
    AutoRCM is fine for non-patched units. However, installing it on a patched one will brick your console.
    Right now you don't need to worry as dejà vu isn't public yet so there's no way to enable it on patched consoles, however it may become a problem once it will be: current AutoRCM installers simply assume your Switch is safe and will go on with the installation without displaying any kind of warnings.

    Nope, sept is still sept :P
     
    JokerD and Zumoly like this.
  13. Ericthegreat

    Ericthegreat Not New Member

    Member
    9
    Nov 8, 2008
    United States
    Vana'diel
    Ah I guess we wont have an exploit for the future "new switch", but at least those on patched units get they exploit finally.
     
    SexiestManAlive likes this.
  14. naddel81

    naddel81 GBAtemp Addict

    Member
    7
    Dec 14, 2009
    United States
    is it OK to update homebrew-wise? I mean will the "usual suspects" (like edizon/checkpoint/FTPD/tinfoil/n1dus) work properly?
     
  15. Ericthegreat

    Ericthegreat Not New Member

    Member
    9
    Nov 8, 2008
    United States
    Vana'diel
    I would wait till its confirmed.
     
    naddel81 likes this.
  16. naddel81

    naddel81 GBAtemp Addict

    Member
    7
    Dec 14, 2009
    United States
    you mean until every homebrew author confirms his tool is compatible? do they really do that? most homebrew hasn't been touched in months.
     
  17. Ericthegreat

    Ericthegreat Not New Member

    Member
    9
    Nov 8, 2008
    United States
    Vana'diel
    No, but you could probably make a thread in the next few hours and someone will answer.
     
    naddel81 likes this.
  18. toxic9

    toxic9 GBAtemp Regular

    Member
    3
    Dec 13, 2016
    Does hekate still chainboot atmos on 8.0 ?
     
  19. JokerD

    JokerD Member

    Newcomer
    1
    Feb 3, 2016
    My switch serial is warning are it safe to use auto-RCM. Is it non-patched? And thank's for your support.
     
Loading...